Name:    qps
License: GPL
Group:   Monitoring
Version: 1.9.9.4
Release: alt1
Source:  %name-%version.tar.gz
Source1: %name.desktop
Source2: %name.menu
URL:          http://qps.kldp.net
Summary:      Visual process status monitor

BuildRequires: gcc3.4-c++ libqt3-devel libstdc++-devel

%description
Qps is a perfect visual process manager, an X11 version of "top" or "ps" that displays processes in a window and lets you sort and manipulate them easily
Qps can
    * change nice value of a process
    * alter the scheduling policy and soft realtime priority of a process
    * display the TCP/UDP sockets used by a process, and names of the connected hosts (Linux only)
    * display the memory mappings of the process (which files and shared libraries are loaded where)
    * display the open files of a process, and the state of unix domain sockets
    * kill or send any other signal to selected processes
    * display the load average as a graph, and use this as its icon when iconified
    * show (as graph or numbers) current CPU, memory and swap usage
    * sort the process table on any attribute (size, cpu usage, owner etc)
    * on SMP systems running Linux 2.1 or later (or Solaris), display cpu usage for each processor, and which CPU a process is running on
    * display the environment variables of any process
    * show the process table in tree form, showing the parent-child relationship
    * execute user-defined commands on selected processes
    * display MOSIX-specific fields and migrate processes to other nodes in a cluster
%prep
%setup -D -q

%build
export QTDIR=%_libdir/qt3
$QTDIR/bin/qmake
%make_build

%install
%__install -d $RPM_BUILD_ROOT/usr/bin/  $RPM_BUILD_ROOT/%{_mandir}/man1/
%__install -s qps $RPM_BUILD_ROOT/usr/bin/qps
%__install -m 644 qps.1 $RPM_BUILD_ROOT/%{_mandir}/man1/qps.1
%__install -pD -m 644 %SOURCE2 %buildroot%_menudir/%name

%post
%update_menus

%postun
%clean_menus

%files
%doc CHANGES README_INSTALL
%doc %{_mandir}/*/*
%_bindir/*
%_menudir/*
#/usr/share/applications/qps.desktop

%changelog
* Fri May 13 2005 Nick S. Grechukh <gns@altlinux.ru> 1.9.9.4-alt1
- initial Sisyphus build
